<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.artifacts (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../../org/gradle/api/artifacts/package-summary.html" target="classFrame">org.gradle.api.artifacts</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="ArtifactCollection.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ArtifactCollection</i></a></li>
<li><a href="ArtifactIdentifier.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ArtifactIdentifier</i></a></li>
<li><a href="ArtifactRepositoryContainer.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ArtifactRepositoryContainer</i></a></li>
<li><a href="ArtifactView.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ArtifactView</i></a></li>
<li><a href="ArtifactView.ViewConfiguration.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ArtifactView.ViewConfiguration</i></a></li>
<li><a href="ClientModule.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ClientModule</i></a></li>
<li><a href="ComponentMetadata.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ComponentMetadata</i></a></li>
<li><a href="ComponentMetadataBuilder.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ComponentMetadataBuilder</i></a></li>
<li><a href="ComponentMetadataDetails.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ComponentMetadataDetails</i></a></li>
<li><a href="ComponentMetadataSupplier.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ComponentMetadataSupplier</i></a></li>
<li><a href="ComponentMetadataSupplierDetails.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ComponentMetadataSupplierDetails</i></a></li>
<li><a href="ComponentModuleMetadata.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ComponentModuleMetadata</i></a></li>
<li><a href="ComponentModuleMetadataDetails.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ComponentModuleMetadataDetails</i></a></li>
<li><a href="ComponentSelection.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ComponentSelection</i></a></li>
<li><a href="ComponentSelectionRules.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ComponentSelectionRules</i></a></li>
<li><a href="ConfigurablePublishArtifact.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ConfigurablePublishArtifact</i></a></li>
<li><a href="Configuration.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>Configuration</i></a></li>
<li><a href="ConfigurationContainer.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ConfigurationContainer</i></a></li>
<li><a href="ConfigurationPublications.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ConfigurationPublications</i></a></li>
<li><a href="ConfigurationVariant.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ConfigurationVariant</i></a></li>
<li><a href="Dependency.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>Dependency</i></a></li>
<li><a href="DependencyArtifact.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>DependencyArtifact</i></a></li>
<li><a href="DependencyResolutionListener.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>DependencyResolutionListener</i></a></li>
<li><a href="DependencyResolveDetails.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>DependencyResolveDetails</i></a></li>
<li><a href="DependencySet.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>DependencySet</i></a></li>
<li><a href="DependencySubstitution.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>DependencySubstitution</i></a></li>
<li><a href="DependencySubstitutions.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>DependencySubstitutions</i></a></li>
<li><a href="DependencySubstitutions.Substitution.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>DependencySubstitutions.Substitution</i></a></li>
<li><a href="ExcludeRule.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ExcludeRule</i></a></li>
<li><a href="ExcludeRuleContainer.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ExcludeRuleContainer</i></a></li>
<li><a href="ExternalDependency.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ExternalDependency</i></a></li>
<li><a href="ExternalModuleDependency.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ExternalModuleDependency</i></a></li>
<li><a href="FileCollectionDependency.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>FileCollectionDependency</i></a></li>
<li><a href="LenientConfiguration.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>LenientConfiguration</i></a></li>
<li><a href="ModuleDependency.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ModuleDependency</i></a></li>
<li><a href="ModuleIdentifier.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ModuleIdentifier</i></a></li>
<li><a href="ModuleVersionIdentifier.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ModuleVersionIdentifier</i></a></li>
<li><a href="ModuleVersionSelector.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ModuleVersionSelector</i></a></li>
<li><a href="ProjectDependency.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ProjectDependency</i></a></li>
<li><a href="PublishArtifact.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>PublishArtifact</i></a></li>
<li><a href="PublishArtifactSet.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>PublishArtifactSet</i></a></li>
<li><a href="ResolutionStrategy.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ResolutionStrategy</i></a></li>
<li><a href="ResolvableDependencies.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ResolvableDependencies</i></a></li>
<li><a href="ResolvedArtifact.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ResolvedArtifact</i></a></li>
<li><a href="ResolvedConfiguration.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ResolvedConfiguration</i></a></li>
<li><a href="ResolvedDependency.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ResolvedDependency</i></a></li>
<li><a href="ResolvedModuleVersion.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>ResolvedModuleVersion</i></a></li>
<li><a href="SelfResolvingDependency.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>SelfResolvingDependency</i></a></li>
<li><a href="UnresolvedDependency.html" title="interface in org.gradle.api.artifacts" target="classFrame"><i>UnresolvedDependency</i></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="Configuration.Namer.html" title="class in org.gradle.api.artifacts" target="classFrame">Configuration.Namer</a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="Configuration.State.html" title="enum in org.gradle.api.artifacts" target="classFrame">Configuration.State</a></li>
<li><a href="ResolutionStrategy.SortOrder.html" title="enum in org.gradle.api.artifacts" target="classFrame">ResolutionStrategy.SortOrder</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="PublishException.html" title="class in org.gradle.api.artifacts" target="classFrame">PublishException</a></li>
<li><a href="ResolveException.html" title="class in org.gradle.api.artifacts" target="classFrame">ResolveException</a></li>
<li><a href="UnknownConfigurationException.html" title="class in org.gradle.api.artifacts" target="classFrame">UnknownConfigurationException</a></li>
<li><a href="UnknownRepositoryException.html" title="class in org.gradle.api.artifacts" target="classFrame">UnknownRepositoryException</a></li>
</ul>
</div>
</body>
</html>
